package com.sv.mapper;

import com.common.Sms;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 短信
 *
 * @author Demon
 * @since 2017-11-04
 */
public interface SmsMapper {

    /**
     * 新建短信
     *
     * @param sms 短信
     */
    void insert(Sms sms);

    /**
     * 更新短信
     *
     * @param sms 短信
     */
    void update(Sms sms);

    /**
     * 删除短信
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除短信
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询短信
     *
     * @param id 编号
     * @return 短信
     */
    Sms findById(Integer id);

    /**
     * 查询短信
     *
     * @return 短信集合
     */
    List<Sms> findAll();

    /**
     * 更新状态
     *
     * @param ids    编号
     * @param status 状态
     * @return 更新数量
     */
    int updateStatus(@Param("ids") Integer[] ids, @Param("status") Byte status);

}